﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IRecordStaffRealTimeService : IBaseService<RecordStaffRealTime>
    {
        /// <summary>
        /// 获取指定工位的实时打卡记录
        /// </summary>
        /// <param name="stationCode"></param>
        /// <returns></returns>
        List<RecordStaffRealTime> GetRecordStaffRealTime(string stationCode);

        /// <summary>
        /// 获取班长信息
        /// </summary>
        /// <param name="stationCode"></param>
        /// <returns></returns>
        MonitorInfo GetMonitorInfo(string stationCode);
    }
}
